Groovy Documentation

## org.codehaus.groovy.runtime.dgmimpl
[Java] Class NumberNumberMinus

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
                  org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod
                      org.codehaus.groovy.runtime.dgmimpl.NumberNumberMinus

    public final class NumberNumberMinus
    extends NumberNumberMetaMethod

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Method Summary
`CallSite` | `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params, java.lang.Object receiver, java.lang.Object[] args)`
`java.lang.String` | `getName()`
`java.lang.Object` | `invoke(java.lang.Object object, java.lang.Object[] arguments)`
`static java.lang.Number` | `minus(java.lang.Number left, java.lang.Number right)` Subtraction of two Numbers.

Methods inherited from class NumberNumberMetaMethod
getDeclaringClass, getModifiers, getReturnType

Methods inherited from class CallSiteAwareMetaMethod
createPojoCallSite

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createPojoCallSite

    public CallSite createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params, java.lang.Object receiver, java.lang.Object[] args)

### getName

    public java.lang.String getName()

### invoke

    public java.lang.Object invoke(java.lang.Object object, java.lang.Object[] arguments)

### minus

    public static java.lang.Number minus(java.lang.Number left, java.lang.Number right)

  Subtraction of two Numbers.
  Parameters:
    `left` - a Number
    `right` - another Number to subtract to the first one
  Returns:
    the subtraction

Groovy Documentation